Bug 1286341 - PyX python2 package support for scapy
PyX python2 package support for scapy
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: PyX (Show other bugs)
23
All Linux
unspecified Severity low
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
:
Depends On: 1387873
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-28 05:52 EST by Onuralp SEZER
Modified: 2016-12-20 11:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:22:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Onuralp SEZER 2015-11-28 05:52:23 EST
Description of problem:

I recently installed "scapy" package on fedora 23 system and I notice something about one of the optional dependencies about "PyX" package. When we install "scapy" It's show some warning about plotting,pdfdump etc. and when I install "PyX" package we still return "PyX" warning problem. What I understand is "PyX" python library updated to"python3" version and last python2 version (scapy working python2) "pyx-0.12.1" and when I install that package manually  It's solve the problem and working nicely. So is there any possibility we can add python2 supported version package for that kind of problem . Or should I ask the scapy maintainer ?     

Thank you


Version-Release number of selected component (if applicable):

PyX-0.14-1.fc23.x86_64

Python2 version (latest) = https://pypi.python.org/pypi/PyX/0.12.1
Comment 1 Michael J Gruber 2015-12-22 09:57:27 EST
In fact, when the package switched to 0.14 it should have created a new package named

python3-PyX

as per the python packaging guidelines, since it installs in the py3 tree only and is not really an update to the 0.12.1 package. The way it is done, everyone is forced to upgrade to py3.

I'm afraid it's too late to change the package name now. The only other option is a package python2-PyX or similar. I'll think about putting that on copr.
Comment 2 Michael J Gruber 2015-12-23 17:29:20 EST
So, here's the copr repo with the F23 package that is the "real update" for PyX from Fedora 22 to Fedora 23:

https://copr.fedoraproject.org/coprs/mjg/python2-PyX/
Comment 3 José Matos 2016-02-13 08:56:13 EST
Honestly the only option is to submit this package to (In reply to Michael J Gruber from comment #1)
> In fact, when the package switched to 0.14 it should have created a new
> package named
> 
> python3-PyX
> 
> as per the python packaging guidelines, since it installs in the py3 tree
> only and is not really an update to the 0.12.1 package. The way it is done,
> everyone is forced to upgrade to py3.
> 
> I'm afraid it's too late to change the package name now. The only other
> option is a package python2-PyX or similar. I'll think about putting that on
> copr.

There are several valid points of view about this transition, the one I have adopted is the main project decided to go python3 only so really the code that is maintained and developed is the 0.14.

It is possible to create a python 2 package as you refer but the code will stay at version 0.12.1 without, almost surely, any further development.

Regarding the dependency from scapy that has evaded my radar. :-(

BTW, regarding the naming of the package I suggest python2-pyx because pyx is the name of python library, while PyX is the name of the software project. :-)

That is why PyX.spec provides a virtual python3-pyx.

Michael if you want to submit this file for review I will approve it immediately. There are several minor cleanups that could be done in the spec file:
 *  BuildRoot is redundant and can be removed;
 * same for the %clean section;
 * same for %defattr;
 * mark LICENSE as %license.

other than that I think that package is ready.
Comment 4 Michal Ambroz 2016-10-22 17:55:49 EDT
Hello ,
as Michael is not responding for quite some time and I use scapy and still missing this dependency I have submitted the package for review - please could you have a look?

https://bugzilla.redhat.com/show_bug.cgi?id=1387873
Comment 5 Fedora End Of Life 2016-11-24 08:48:15 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 11:22:25 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.